Package org.apache.tools.ant.taskdefs.email

## Class JakartaMimeMailer

- java.lang.Object
- - org.apache.tools.ant.taskdefs.email.Mailer
  - - org.apache.tools.ant.taskdefs.email.JakartaMimeMailer

    public class JakartaMimeMailer
    extends Mailer

Uses the JakartaMail classes to send Mime format email.

Since:
  Ant 1.10.13

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.email.Mailer

`bccList, ccList, files, from, headers, host, includeFileNames, message, password, port, replyToList, SSL, subject, task, toList, user`

### Constructor Summary

Constructors
`JakartaMimeMailer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `send()` Send the email.

### Methods inherited from class org.apache.tools.ant.taskdefs.email.Mailer

`getDate, isPortExplicitlySpecified, isStartTLSEnabled, isStartTLSRequired, setBccList, setCcList, setCheckServerIdentity, setEnableStartTLS, setFiles, setFrom, setHeaders, setHost, setIgnoreInvalidRecipients, setIncludeFileNames, setMessage, setPassword, setPort, setPortExplicitlySpecified, setReplyToList, setRequireStartTLS, setSSL, setSubject, setTask, setToList, setUser, shouldCheckServerIdentity, shouldIgnoreInvalidRecipients`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JakartaMimeMailer

    public JakartaMimeMailer()

### Method Detail

#### send

    public void send()

Send the email.

Specified by:
  `send` in class `Mailer`
Throws:
  `BuildException` - if the email can't be sent.